package com.miaxis.lighting.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * 灯光组合
对象 lighting_combination
 *
 * @author miaxis
 * @date 2022-03-21
 */
@Data
@TableName("lighting_combination")
@ApiModel(value = "LightingCombination", description = "灯光组合对象 lighting_combination")
public class LightingCombination extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    @TableField("titile")
    @ApiModelProperty(value = "标题")
    private String titile;

    /** 操作 */
    @Excel(name = "操作")
    @TableField("operation")
    @ApiModelProperty(value = "操作")
    private String operation;

    /** 图标地址 */
    @Excel(name = "图标地址")
    @TableField("icon")
    @ApiModelProperty(value = "图标地址")
    private String icon;

    /** 单项id，多个用逗号隔开 */
    @Excel(name = "单项id，多个用逗号隔开")
    @TableField("item_id")
    @ApiModelProperty(value = "单项id，多个用逗号隔开")
    private String itemId;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setTitile(String titile){
        this.titile = titile;
    }

    public String getTitile(){
        return titile;
    }
    public void setOperation(String operation){
        this.operation = operation;
    }

    public String getOperation(){
        return operation;
    }
    public void setIcon(String icon){
        this.icon = icon;
    }

    public String getIcon(){
        return icon;
    }
    public void setItemId(String itemId){
        this.itemId = itemId;
    }

    public String getItemId(){
        return itemId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("titile", getTitile())
            .append("operation", getOperation())
            .append("icon", getIcon())
            .append("itemId", getItemId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
